# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit a6dd8044e278feab6ee06a8b38918eda7c2c71ec
    parent a80f3ae5ce9bc3b294eb831fac8cba411880e605
    Author: c0dev0id <sh+github@codevoid.de>
    Date:   Sun, 19 Sep 2021 09:40:51 +0200

    Config update

    Diffstat:
    Mconfig.h | 10+++++-----
    Mst.c | 2+-

    2 files changed, 6 insertions(+), 6 deletions(-)
    diff --git a/config.h b/config.h
    @@ -5,10 +5,10 @@
      *
      * font: see http://freedesktop.org/software/fontconfig/fontconfig-user.html
      */
    -static char *font = "-misc-termsynu-medium-r-normal--11-101-100-100-c-70-iso10646-1";
    +static char *font = "Cousine-12";
     /* Spare fonts */
     static char *font2[] = {
    -	"-gnu-unifont-medium-r-normal-sans-11-101-100-100-c-70-iso10646-1"
    +	"NotoEmoji-12"
     };

     static int borderpx = 2;
    @@ -20,7 +20,7 @@ static int borderpx = 2;
      * 4: value of shell in /etc/passwd
      * 5: value of shell in config.h
      */
    -static char *shell = "/bin/sh";
    +static char *shell = "/bin/ksh";
     char *utmp = NULL;
     /* scroll program: to enable use a string like "scroll" */
     char *scroll = NULL;
    @@ -57,8 +57,8 @@ int allowwindowops = 0;
      * near minlatency, but it waits longer for slow updates to avoid partial draw.
      * low minlatency will tear/flicker more, as it can "detect" idle too early.
      */
    -static double minlatency = 8;
    -static double maxlatency = 33;
    +static double minlatency = 6;
    +static double maxlatency = 80;

     /*
      * Synchronized-Update timeout in ms
    diff --git a/st.c b/st.c
    @@ -36,7 +36,7 @@
     #define CAR_PER_ARG   4
     #define STR_BUF_SIZ   ESC_BUF_SIZ
     #define STR_ARG_SIZ   ESC_ARG_SIZ
    -#define HISTSIZE      2000
    +#define HISTSIZE      12000

     /* macros */
     #define IS_SET(flag)		((term.mode & (flag)) != 0)